<template>
  <div>
    <label class="text-yellow-600 font-bold text-lg" for="gender">
      Genre
    </label>
    <div class="flex justify-around">
      <div class="flex" :key="gender" v-for="gender in ['H', 'F', 'A']">
        <Field
            id="gender"
            component="input"
            type="radio"
            name="gender"
            :value="gender"
        />
        <span class="ml-4">{{ labelByGender[gender] }}</span>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: "DefineGender",
  inject: ['values'],
  data: () => ({
    labelByGender: {
      H: "Homme",
      F: "Femme",
      A: "Autre",
    },
  })
}
</script>

<style scoped>

</style>
